Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage Member List

This is the complete list of members for eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage, including all inherited members.

$dbHandler | eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage | protected
$fieldNameMap | eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage | protected
$redecorator | eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage | private
__construct(UrlRedecoratorInterface $redecorator, DatabaseHandler $dbHandler) | eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage |
canRemoveImageReference($path, $versionNo, $fieldId) | eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage | protected
countDistinctImagesData() | eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage |
countImageReferences($uri) | eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage |
extractFilesFromXml($xml) | eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway |
getAllVersionsImageXmlForFieldId(int $fieldId) | eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage |
getConnection() | eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage | protected
getImagesData(int $offset, int $limit) | eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage |
getNodePathString(VersionInfo $versionInfo) | eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage |
getSequenceName($table, $column) | eZ\Publish\SPI\FieldType\StorageGateway | protected
getXmlForImages($versionNo, array $fieldIds) | eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage |
isImageReferenced(string $uri) | eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage |
removeImageReferences($uri, $versionNo, $fieldId) | eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage |
storeImageReference($uri, $fieldId) | eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage |
updateImageData(int $fieldId, int $versionNo, string $xml) | eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage |
updateImagePath(int $fieldId, string $oldPath, string $newPath) | eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage |

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.